Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153058 - gdm-binary process comsumes 70% CPU after changing tls->tls.disable
Summary: gdm-binary process comsumes 70% CPU after changing tls->tls.disable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rik van Riel
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 05:47 UTC by Fei Fei
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-04 09:57:52 UTC


Attachments (Terms of Use)
readprofile output (deleted)
2005-04-01 06:37 UTC, Fei Fei
no flags Details

Description Fei Fei 2005-04-01 05:47:00 UTC
Description of problem:
The gdm-binary process comsumes 70% CPU after changing tls->tls.disable. When
TLS is enabled again, gdm-binary acts normally.

Version-Release number of selected component (if applicable):
kernel-xen0-devel-2.6.11-1.1177_FC4
kernel-xenU-devel-2.6.11-1.1177_FC4
kernel-xen0-2.6.11-1.1177_FC4
kernel-xenU-2.6.11-1.1177_FC4
xen-2-20050308


How reproducible:
everytime.


Steps to Reproduce:
1.choose grub ento xen VMM and Domain0
2.#mv /lib/tls /lib/tls.disable; reboot
3.#top
4.#mv /lib/tls.disable /lib/tls; reboot
5.#top
  
Actual results:
gdm-binary process consumes 70%+ CPU when tls is disabled.

Expected results:
gdm-binary will get < 10% CPU 

Additional info:

Comment 1 Rik van Riel 2005-04-01 05:53:10 UTC
Firstly, there is no need to move /lib/tls out of the way - TLS emulation can be
slow at times, but it does work correctly now that Xen uses segment flipping.

Secondly, could you take a look where the CPU time is being spent?

Is it spent in user space, or in kernel space?  If the latter, could you boot
with 'profile=2' and use readprofile to figure out where the cpu time is being
spent ?

Comment 2 Fei Fei 2005-04-01 06:37:45 UTC
Created attachment 112572 [details]
readprofile output

readprofile output

Comment 3 Fei Fei 2005-04-01 06:39:50 UTC
The output of "top" shows 79% in sys and 20% in user.
The output of readprofile with "profile=2" is attached.

Comment 4 Fei Fei 2005-04-04 09:57:52 UTC
From statement of bug #151367, it seems it's a common bug but not a xen specific
one. I updated the latest gdm package it's ok now.


Note You need to log in before you can comment on or make changes to this bug.